commit: 477a392d50f0321453ae5fe7f564a8dbcdbff954
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Apr 23 20:04:52 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Apr 23 20:44:21 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=477a392d
sys-cluster/ceph-14.2.9: Drop boost-soname patch for sed
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
sys-cluster/ceph/ceph-14.2.9.ebuild | 6 ++----
1 file changed, 2 insertions(+), 4 deletions(-)
diff --git a/sys-cluster/ceph/ceph-14.2.9.ebuild
b/sys-cluster/ceph/ceph-14.2.9.ebuild
index 95abd364b0f..75b01167a71 100644
--- a/sys-cluster/ceph/ceph-14.2.9.ebuild
+++ b/sys-cluster/ceph/ceph-14.2.9.ebuild
@@ -197,12 +197,10 @@ src_prepare() {
cmake-utils_src_prepare
if use system-boost; then
- eapply "${FILESDIR}/ceph-14.2.8-boost-sonames.patch"
-
find "${S}" -name '*.cmake' -or -name 'CMakeLists.txt' -print0 \
| xargs --null sed \
- -e 's|Boost::|Boost_|g' \
- -e 's|Boost_boost|boost_system|g' -i || die
+ -e 's|Boost::|boost_|g' \
+ -e 's|boost_boost|boost_system|g' -i || die
fi
sed -i -r "s:DESTINATION .+\\):DESTINATION $(get_bashcompdir)\\):" \